import * as $dara from '@darabonba/typescript';
import { ModifyVpnGatewayAttributeResponseBody } from "./ModifyVpnGatewayAttributeResponseBody";
export declare class ModifyVpnGatewayAttributeResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ModifyVpnGatewayAttributeResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
